Create a time entry Run in API Explorer
Ask AI
Body
-
The type of the model that is being tracked.. Valid types are: client, board_task, case, circle, firm, task
Values are
client,board_task,case,circle,firm, ortask. -
The UUID of the model that is being tracked
-
The name of the time entry.
-
The description of the time entry.
-
The start time of the time entry.
-
The end time of the time entry.
-
The length of the time entry, can be used instead of dates.
POST
/api/v1/time-entry
curl \
--request POST 'https://api.plannrcrm.com/api/v1/time-entry' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"trackable_type": "client",
"trackable_uuid": "1bcc2568-5f1c-4a32-a2cb-2acd7f9f39cf",
"name": "Research",
"description": "Research for the new project.",
"start_date": "2026-09-12",
"end_date": "2026-10-27",
"total_time_in_minutes": 200
}'
Request examples
{
"trackable_type": "client",
"trackable_uuid": "1bcc2568-5f1c-4a32-a2cb-2acd7f9f39cf",
"name": "Research",
"description": "Research for the new project.",
"start_date": "2026-09-12",
"end_date": "2026-10-27",
"total_time_in_minutes": 200
}
Response examples (200)
{
"uuid": "00f0ab3a-c6e7-4e6d-9584-83b34d39c4e9",
"created_at": "2026-10-27T15:44:12+00:00",
"updated_at": "2026-10-27T15:44:12+00:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"trackable": {
"uuid": "9f3511b5-9658-4b5b-80db-f170c70c49bc",
"created_at": "2026-10-27T15:44:12+00:00",
"updated_at": "2026-10-27T15:44:12+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "97a5f63a-a7c9-4e65-98af-59bd893fe6d4",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"start_date": "2026-10-27T14:54:12+00:00",
"end_date": "2026-10-27T15:22:12+00:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680,
"account": {
"uuid": "762c10ed-d870-4f55-9b41-0498ce4dc491",
"created_at": "2026-10-27T15:44:12+00:00",
"updated_at": "2026-10-27T15:44:12+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "97a5f63a-a7c9-4e65-98af-59bd893fe6d4",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}